Bug 1287065 - WAS: stopping Business Central from admin console results into an error in server log
WAS: stopping Business Central from admin console results into an error in se...
Status: VERIFIED
Product: JBoss BRMS Platform 6
Classification: JBoss
Component: Business Central (Show other bugs)
6.2.0
Unspecified Unspecified
unspecified Severity medium
: DR1
: 6.3.0
Assigned To: Maciej Swiderski
Radovan Synek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-01 07:25 EST by Radovan Synek
Modified: 2016-03-15 13:14 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
error stacktrace (11.21 KB, text/plain)
2015-12-01 07:25 EST, Radovan Synek
no flags Details

  None (edit)
Description Radovan Synek 2015-12-01 07:25:36 EST
Created attachment 1100860 [details]
error stacktrace

Having Business Central deployed on WebSphere 8.5.5, after stopping the deployment, error shows in server log (SystemOut.log):
OpenWebBeansE E OpenWebBeansEjbInterceptor error An error occurred while executing [PRE_DESTROY]
                                 javax.ejb.NoSuchObjectLocalException: Timer with task ID 3_NP_5D784CD4-0151-4000-E000-15DA0A280266 had previously been canceled

However, Business Central properly stops and can be started again - no clear impact on a functionality has been observed.
Comment 2 Maciej Swiderski 2015-12-02 07:54:16 EST
fixed on master by wrapping it with try/catch as there is no other way as the timer that we try to cancel is already canceled

jbpm
master:
https://github.com/droolsjbpm/jbpm/commit/40d3c40f7d1726b0305a06600a127bd9b41e5ec2
Comment 3 Radovan Synek 2016-03-15 13:14:34 EDT
Verified with BPMS-6.3.0.DR2

Note You need to log in before you can comment on or make changes to this bug.